Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
configure.php File Reference

Go to the source code of this file.

## Functions
| buildFilterName (&$filter, $Language)

## Variables
| $user =& eZUser::currentUser()
if(isset( $Ok)||isset( $NewAccount)||isset( $NewFilter)||isset( $DeleteAccounts)) if(isset( $NewAccount)) if(isset( $NewFilter)) if(isset( $DeleteAccounts) &&count( $AccountArrayID) > 0) if(isset( $DeleteAccounts) &&isset( $FilterArrayID) &&count( $FilterArrayID) > 0) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMailMain", "Language" )
| $t
if( $user) | $accounts = eZMailAccount::getByUser( $user->id() )
foreach( $accounts as $account) | $filters = eZMailFilterRule::getByUser( $user->id() )

## Function Documentation

## ◆ buildFilterName()

buildFilterName | ( | & | $filter,
|  |  | $Language
| ) |  |

Definition at line 185 of file configure.php.

References $folder, $Language, $localINI, FILTER_ANY, FILTER_BODY, FILTER_CC, FILTER_CONTAINS, FILTER_EQUALS, FILTER_FROM, FILTER_MESSAGE, FILTER_NCONTAINS, FILTER_NEQUALS, FILTER_REGEXP, FILTER_SUBJECT, FILTER_TO, and FILTER_TOCC.

## Variable Documentation

## ◆ $accounts

if ($user) $accounts = eZMailAccount::getByUser( $user->id() )

Definition at line 161 of file configure.php.

## ◆ $filters

foreach ($accounts as $account) $filters = eZMailFilterRule::getByUser( $user->id() )

Definition at line 173 of file configure.php.

Referenced by eZMailAccount\checkMail().

## ◆ $ini

if (isset($Ok)||isset($NewAccount)||isset($NewFilter)||isset($DeleteAccounts)) if (isset($NewAccount)) if (isset($NewFilter)) if (isset($DeleteAccounts) &&count($AccountArrayID) > 0) if (isset($DeleteAccounts) &&isset($FilterArrayID) &&count($FilterArrayID) > 0) $ini =& eZINI::instance( 'site.ini' )

Definition at line 112 of file configure.php.

## ◆ $Language

$Language = $ini->variable( "eZMailMain", "Language" )

Definition at line 113 of file configure.php.

Referenced by buildFilterName().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmail/user/" . $ini->variable( "eZMailMain", "TemplateDir" ),
"kernel/ezmail/user/intl/", $Language, "configure.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Ok)||isset( $NewAccount)||isset( $NewFilter)||isset( $DeleteAccounts)) if(isset( $NewAccount)) if(isset( $NewFilter)) if(isset( $DeleteAccounts) &&count( $AccountArrayID) > 0) if(isset( $DeleteAccounts) &&isset( $FilterArrayID) &&count( $FilterArrayID) > 0) $ini
Definition: configure.php:112
$Language
$Language
Definition: configure.php:113

Definition at line 115 of file configure.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 38 of file configure.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.